WordPress.org

Ready to get started?Download WordPress

Forums

NextGen Gallery Powertags
NextGEN Gallery 2.0.0 conflict/error (12 posts)

  1. Architourist
    Member
    Posted 8 months ago #

    Looks like the NextGEN Gallery 2.0.0 update released today breaks with NGP. All of my posts that use NGP (1.6.4) fail to load anything more than the header, post title and post-info -- no sidebar, no footer, no post, etc. (http://architourist.ca)

    When I edit the post to remove the NGP statement, or for a post with only a NextGen shortcode, everything is OK. (NGG broke some CSS, but I think that's my fault :) )

    Hopefully there is a simple solution for this.

    http://wordpress.org/plugins/nextgen-gallery-powertags/

  2. oldkirk
    Member
    Posted 8 months ago #

    I can verify that the NextGEN Gallery 2.0.0 update has also caused my site to crash and I also hope a solution is found.

  3. thenetbreeze
    Member
    Posted 8 months ago #

    My site is down to for the same reason I guess. After updating NextGenGallery plugin to the last version two ours ago, I found a conflict between nexgengallery an posts 2 posts plugin. All my connected posts did't show up in admin boxes. I found in error logs that all errors are raised in mysql: in some query strings are inserted series of \n\t\t\t\t\n\t\t\t which means that spaces and tabs are converted into their symbols before running the queries

  4. sardbaba
    Member
    Plugin Author

    Posted 8 months ago #

    Hi, let me see what happens...

  5. sardbaba
    Member
    Plugin Author

    Posted 8 months ago #

    Ok, the bad news is that the good NGG-guys have completly redesigned the plugin structure. Because of that I need more time to perform the Powertags upgrade, in a probably "pro" version or with a small crowdfunding (let me think about it...).

    So my advice is to temporary downgrade NGG if Powertags is a fundamental part of the website.

    I'm really sorry for the incovenience, but It's not my fault...

  6. Architourist
    Member
    Posted 8 months ago #

    The rollback from NGG 2.0 is quite simple and takes only a few minutes.

    See: http://www.nextgen-gallery.com/how-to-rollback-a-version/

    ... which includes this warning:

    WARNING!
    DO NOT delete the plugin through your WordPress dashboard! Doing so, you will lose all of your galleries PERMANENTLY!

    Mauro... It's too bad their update causes problems with your plugin because it still doesn't do what NGP 'powertags' does.

    At this point, this problem is 'resolved' - posts and galleries work again - but it may soon break again once bit-rot beings to set in. (Hopefully it will we OK with WP 3.6!)

  7. sardbaba
    Member
    Plugin Author

    Posted 8 months ago #

    Hey Tom, yes, the rollback could temporarily solve this issue but you will lost any new bugfix/feature from NGG.
    This is not acceptable so I'll try to find some hours per day to implement the new version, hoping to release it at the end of August or at most at mid-September.
    I will let you know as soon as I have some news
    Bye

  8. sardbaba
    Member
    Plugin Author

    Posted 8 months ago #

    After looking more deeply the new NextGEN Gallery code and its documentation, I've decided to implement the 2.0 version of Powertags when things will be more clear.

    Actually no one of the old extensions works with NGG 2.0 and the only document about extending NGG doesn't seems to work at the end of the tutorial...

    So, I'm really sorry, because Powertags is become one of my most used plugins, but for now there will no be a new Powertags version.

    See you when things will go better, with the hope that Photocrati's guys, after imposing their pope, will do a better documentation ;)

  9. Architourist
    Member
    Posted 8 months ago #

    WOW. This is a shame for you and NGP. Photocrati really has a problem on their hands. I can't imagine anyone wanting to use NGG that conflicts with so many other, major plugins: Soliloquy, Royal, Evolution, Nivo Sliders all break, even after NG 2.0.7. Even Contact Form 7.

    At least they have fixed problems with major themes like Twenty Twelve, Twenty Thirteen and Elegant Themes. Did they not test with these themes and popular plugins?

    I was wondering if you would be adding your plugin to their list of plugins broken after their update? There are still 16 plugins listed as broken after NGG 2.x. Perhaps they will be able to correct the situation and NGP 1.6.4 will be clean or need only something minor that they can (help to) identify.

  10. sardbaba
    Member
    Plugin Author

    Posted 8 months ago #

    Yep, what they done is not really astute... Anyway, I reported my broken plugin here:
    http://wordpress.org/support/topic/known-plugin-and-theme-conflicts-207/page/2?replies=53#post-4523483

    Cheers!

  11. leodown
    Member
    Posted 8 months ago #

    I found a conflict between nexgengallery an posts 2 posts plugin. All my connected posts did't show up in admin boxes

  12. sardbaba
    Member
    Plugin Author

    Posted 8 months ago #

Reply

You must log in to post.

About this Plugin

About this Topic